Debian Bug report logs - #625722
subvertpy: FTBFS on ia64: FAIL: subvertpy.tests.test_wc.AdmTests.test_transmit_text_deltas

version graph

Package: src:subvertpy; Maintainer for src:subvertpy is Jelmer Vernooij <jelmer@debian.org>;

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Thu, 5 May 2011 12:11:43 UTC

Severity: serious

Found in version subvertpy/0.8.0-2

Fixed in version subvertpy/0.8.2+bzr2352-1

Done: Jelmer Vernooij <jelmer@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Jelmer Vernooij <jelmer@debian.org>:
Bug#625722; Package src:subvertpy. (Thu, 05 May 2011 12:11:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
New Bug report received and forwarded. Copy sent to jwilk@debian.org, Jelmer Vernooij <jelmer@debian.org>. (Thu, 05 May 2011 12:11:58 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS on ia64: FAIL: subvertpy.tests.test_wc.AdmTests.test_transmit_text_deltas
Date: Thu, 5 May 2011 14:07:46 +0200
Source: subvertpy
Version: 0.8.0-2
Severity: serious
Justification: fails to build from source

subvertpy failed to build from source on ia64:
| PYTHONPATH=.: python -m testtools.run subvertpy.tests.test_suite
| Tests running...
| ======================================================================
| FAIL: subvertpy.tests.test_wc.AdmTests.test_transmit_text_deltas
| ----------------------------------------------------------------------
| Traceback (most recent call last):
|   File "subvertpy/tests/test_wc.py", line 240, in test_transmit_text_deltas
|     self.assertEquals(1, bar.revision)
| AssertionError: 1 != 6917529027641081857
| Ran 154 tests in 65.259s
|
| FAILED (failures=1)

Full build log is here:
https://buildd.debian.org/status/fetch.php?pkg=subvertpy&arch=ia64&ver=0.8.0-2&stamp=1304596737

-- 
Jakub Wilk




Changed Bug title to 'subvertpy: FTBFS on ia64: FAIL: subvertpy.tests.test_wc.AdmTests.test_transmit_text_deltas' from 'FTBFS on ia64: FAIL: subvertpy.tests.test_wc.AdmTests.test_transmit_text_deltas' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 05 May 2011 13:00:23 GMT) Full text and rfc822 format available.

Added indication that bug 625722 blocks 622279 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 05 May 2011 13:00:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#625722; Package src:subvertpy. (Sun, 15 May 2011 17:54:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelmer Vernooij <jelmer@debian.org>:
Extra info received and forwarded to list. (Sun, 15 May 2011 17:54:10 GMT) Full text and rfc822 format available.

Message #14 received at 625722@bugs.debian.org (full text, mbox):

From: Jelmer Vernooij <jelmer@debian.org>
To: 625722@bugs.debian.org
Subject: Help welcome
Date: Sun, 15 May 2011 19:51:38 +0200
[Message part 1 (text/plain, inline)]
I've had a quick look at this, but I haven't managed to reproduce it and
all the types *seem* correct and matching to me. 

For the next two weeks I won't have much time to look into this. Any
patches or help are welcome.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 18 Jun 2011 20:06:04 GMT) Full text and rfc822 format available.

Reply sent to Jelmer Vernooij <jelmer@debian.org>:
You have taken responsibility. (Sat, 18 Jun 2011 21:36:09 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Sat, 18 Jun 2011 21:36:09 GMT) Full text and rfc822 format available.

Message #21 received at 625722-close@bugs.debian.org (full text, mbox):

From: Jelmer Vernooij <jelmer@debian.org>
To: 625722-close@bugs.debian.org
Subject: Bug#625722: fixed in subvertpy 0.8.2+bzr2352-1
Date: Sat, 18 Jun 2011 21:34:39 +0000
Source: subvertpy
Source-Version: 0.8.2+bzr2352-1

We believe that the bug you reported is fixed in the latest version of
subvertpy, which is due to be installed in the Debian FTP archive:

python-subvertpy-dbg_0.8.2+bzr2352-1_amd64.deb
  to main/s/subvertpy/python-subvertpy-dbg_0.8.2+bzr2352-1_amd64.deb
python-subvertpy_0.8.2+bzr2352-1_amd64.deb
  to main/s/subvertpy/python-subvertpy_0.8.2+bzr2352-1_amd64.deb
subvertpy_0.8.2+bzr2352-1.debian.tar.gz
  to main/s/subvertpy/subvertpy_0.8.2+bzr2352-1.debian.tar.gz
subvertpy_0.8.2+bzr2352-1.dsc
  to main/s/subvertpy/subvertpy_0.8.2+bzr2352-1.dsc
subvertpy_0.8.2+bzr2352.orig.tar.gz
  to main/s/subvertpy/subvertpy_0.8.2+bzr2352.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 625722@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jelmer Vernooij <jelmer@debian.org> (supplier of updated subvertpy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 17 Jun 2011 19:25:01 +0200
Source: subvertpy
Binary: python-subvertpy python-subvertpy-dbg
Architecture: source amd64
Version: 0.8.2+bzr2352-1
Distribution: unstable
Urgency: low
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Changed-By: Jelmer Vernooij <jelmer@debian.org>
Description: 
 python-subvertpy - Alternative Python bindings for Subversion
 python-subvertpy-dbg - Alternative Python bindings for Subversion - Debugging Symbols
Closes: 625722
Changes: 
 subvertpy (0.8.2+bzr2352-1) unstable; urgency=low
 .
   * Add python-subvertpy-dbg package with debugging symbols.
   * New upstream snapshot.
    + Fixes test_transmit_text_deltas test. Closes: #625722, LP: #730931
Checksums-Sha1: 
 5811c95123e1a5802ee956fb334d2a0f6079ed50 1339 subvertpy_0.8.2+bzr2352-1.dsc
 5dd2088bb68e1651e2d7391edb6e427ca5e07451 99997 subvertpy_0.8.2+bzr2352.orig.tar.gz
 22822e4b2a516233180daca2be95c154b583477b 2958 subvertpy_0.8.2+bzr2352-1.debian.tar.gz
 5c525e0db9e48886b065dcc6e50008cdbbb3f9fb 344874 python-subvertpy_0.8.2+bzr2352-1_amd64.deb
 96b6c797adef16723723635a87e76f17b216c1a5 1347526 python-subvertpy-dbg_0.8.2+bzr2352-1_amd64.deb
Checksums-Sha256: 
 4a68e12a5562698d8340e70cc2405d743898cca5532ed5b3e28930fc188d0288 1339 subvertpy_0.8.2+bzr2352-1.dsc
 a2cf48f2a3a723ccf17054e347d1ef2cd39162695196c0e2b0d5d25c4753ff6d 99997 subvertpy_0.8.2+bzr2352.orig.tar.gz
 2265d01289cdb284f0dfb9611da9d67904b4e51a572c2f5b6a51e6e92cf25bb8 2958 subvertpy_0.8.2+bzr2352-1.debian.tar.gz
 45120d667c66ea48680ac142f34f1c153279dda5495b6b2d64685ca97f309c84 344874 python-subvertpy_0.8.2+bzr2352-1_amd64.deb
 a6b473ff48c1ef9b4da1e3899730b43ff94f45a458314340e0c3457ee1326965 1347526 python-subvertpy-dbg_0.8.2+bzr2352-1_amd64.deb
Files: 
 fe399d9e67225ae8735d06ad6d820cf5 1339 python optional subvertpy_0.8.2+bzr2352-1.dsc
 19bd2c551966b081b2334218ded4ef18 99997 python optional subvertpy_0.8.2+bzr2352.orig.tar.gz
 4f1cc54c71dc36ba8e700f3506eeb23d 2958 python optional subvertpy_0.8.2+bzr2352-1.debian.tar.gz
 da869823b75e1400ffa3be1f750bdc03 344874 python optional python-subvertpy_0.8.2+bzr2352-1_amd64.deb
 37ba0278dca9b9b2711c932ad30ae0a5 1347526 debug extra python-subvertpy-dbg_0.8.2+bzr2352-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk380A4ACgkQPa9Uoh7vUnZWVgCfT+NVJNWxJiQRKvTHfJhJH62z
3BkAoIJwncbpwKqfcPDG0V1w33a/T5GZ
=xowa
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jul 2011 07:34:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:50:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.